#include <stdio.h>

// 函数声明：将一个正整数的各位数字逆序返回
int InvertSequence(int num) {
    int reversed = 0;
    while (num > 0) {
        reversed = reversed * 10 + num % 10;
        num /= 10;
    }
    return reversed;
}

// 函数声明：判断一个整数是否为回文数
int loop(int x) {
    int reversed = InvertSequence(x);
    return x == reversed;
}

int main() {
    int a, b, i;
    scanf("%d %d", &a, &b);

    // 输出范围[a, b]之间的所有回文数
    for (i = a; i <= b; ++i) {
        if (loop(i)) {
            printf("%d\n", i);
        }
    }

    return 0;
}
